Subject: Ticket Assigned - My Account
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 04 Sep 2021 13:18:19 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Ive been trying to purchase some items and using tabby as a payment mode but I kept on getting a message that they are not fit this time to accept my order and I should change my payment option.

The first 2 times I tried to process last night were my mistake as I forgot my card’s CVV and entered it incorrectly. Can you pls try to check and advise how can we resolve this issue? Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3059209